Apache Struts API Documentation: Class ActionError

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.action
Class ActionError

    java.lang.Object
      |
      +--org.apache.struts.action.ActionError

All Implemented Interfaces:
  java.io.Serializable

public class ActionError
extends java.lang.Object
implements java.io.Serializable

An encapsulation of an individual error message returned by the `validate()` method of an `ActionForm`, consisting of a message key (to be used to look up message text in an appropriate message resources database) plus up to four placeholder objects that can be used for parametric replacement in the message text.

Version:
  $Revision: 1.1 $ $Date: 2001-09-17 21:13:30 +0100 (Mon, 17 Sep 2001) $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary
`private java.lang.String` | `key` The message key for this error message.
`private java.lang.Object[]` | `values` The replacement values for this error mesasge.

Constructor Summary
`ActionError(java.lang.String key)` Construct an action error with no replacement values.
`ActionError(java.lang.String key, java.lang.Object value0)` Construct an action error with the specified replacement values.
`ActionError(java.lang.String key, java.lang.Object value0, java.lang.Object value1)` Construct an action error with the specified replacement values.
`ActionError(java.lang.String key, java.lang.Object value0, java.lang.Object value1, java.lang.Object value2)` Construct an action error with the specified replacement values.
`ActionError(java.lang.String key, java.lang.Object value0, java.lang.Object value1, java.lang.Object value2, java.lang.Object value3)` Construct an action error with the specified replacement values.

Method Summary
`java.lang.String` | `getKey()` Get the message key for this error message.
`java.lang.Object[]` | `getValues()` Get the replacement values for this error message.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### key

    private java.lang.String key

  The message key for this error message.

### values

    private java.lang.Object[] values

  The replacement values for this error mesasge.

Constructor Detail

### ActionError

    public ActionError(java.lang.String key)

  Construct an action error with no replacement values.
  Parameters:
    `key` - Message key for this error message

### ActionError

    public ActionError(java.lang.String key,
                       java.lang.Object value0)

  Construct an action error with the specified replacement values.
  Parameters:
    `key` - Message key for this error message
    `value0` - First replacement value

### ActionError

    public ActionError(java.lang.String key,
                       java.lang.Object value0,
                       java.lang.Object value1)

  Construct an action error with the specified replacement values.
  Parameters:
    `key` - Message key for this error message
    `value0` - First replacement value
    `value1` - Second replacement value

### ActionError

    public ActionError(java.lang.String key,
                       java.lang.Object value0,
                       java.lang.Object value1,
                       java.lang.Object value2)

  Construct an action error with the specified replacement values.
  Parameters:
    `key` - Message key for this error message
    `value0` - First replacement value
    `value1` - Second replacement value
    `value2` - Third replacement value

### ActionError

    public ActionError(java.lang.String key,
                       java.lang.Object value0,
                       java.lang.Object value1,
                       java.lang.Object value2,
                       java.lang.Object value3)

  Construct an action error with the specified replacement values.
  Parameters:
    `key` - Message key for this error message
    `value0` - First replacement value
    `value1` - Second replacement value
    `value2` - Third replacement value
    `value3` - Fourth replacement value

Method Detail

### getKey

    public java.lang.String getKey()

  Get the message key for this error message.

### getValues

    public java.lang.Object[] getValues()

  Get the replacement values for this error message.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 - Apache Software Foundation